--土-沃玛大厅
--配合挂机》触发使用，其中演示了多次回收沃玛套装直至回收干净

local g_hpnum=20 --红药
local g_hpname="强效金创药"
local g_mpnum=20 --蓝药
local g_mpname="强效魔法药"

--回城处理
function 回城()
	--存仓
	local bsave=是否需要存()
	if bsave then
		移动到范围2("3",321,340,5)
		等待(1500)
		坐标对话(321,340)
		等待(1500)
		选择("@-1")
		等待(1500)
		存()
	end
	--回收
	local nWMnum=获取物品数量("[沃玛套装]")
	while nWMnum>0 do
		移动到范围2("3",324,340,5)
		等待(1500)
		坐标对话(324,340)
		等待(1500)
		选择("@2")
		等待(2000)
		nWMnum=获取物品数量("[沃玛套装]")
	end
	--卖物
	local bsold=是否需要卖()
	if bsold then
		移动到范围2("3",355,329,5)
		等待(1500)
		坐标对话(355,329)
		等待(1500)
		选择("@2")
		等待(1500)
		卖()
	end
	--修理
	local brepair=是否需要修理(50,0,1,2,3,5,6,7,8)
	if brepair then
		移动到范围2("0149",11,18,5)
		等待(1500)
		坐标对话(11,18)
		等待(1500)
		选择("@-3")
		等待(1500)
		全部修理()
		等待(1500)
	end
	--买药
	local hpnum=获取物品数量(g_hpname)
	local mpnum=获取物品数量(g_mpname)
	local buyhp=(hpnum<g_hpnum)
	local buymp=(mpnum<g_mpnum)
	if buyhp or buymp then
		移动到范围2("3",361,335,5)
		等待(1500)
		坐标对话(361,335)
		等待(1500)
		选择("@-1")
		等待(1500)
		if buyhp then
			买("强效金创药",g_hpnum-hpnum,99,1500)
		end
		if buymp then
			买("强效魔法药",g_mpnum-mpnum,99,1500)
		end
	end
	--买回城卷 随机卷
	local nHCNum=获取物品数量("回城卷")
	local nsjnum=获取物品数量("随机传送卷")
	local bBuyHC=(nHCNum<1)
	local bBuySJ=(nsjnum<1)
	if bBuyHC or bBuySJ then
		移动到范围2("3",346,334,5)
		等待(1500)
		坐标对话(346,334)
		等待(1500)
		选择("@-1")
		等待(1500)
		if bBuyHC then
			买("回城卷",1,10,1500)
		end
		if bBuySJ then
			买("随机传送卷",3,10,1500)
		end
	end
	--出发
		移动到范围2("3",335,332,5)
		等待(1500)
		坐标对话(335,332)
		等待(1500)
		选择("@5")
		等待(1500)
		选择("@56")
		等待(1500)
	return 挂机()
end

--地图挂机
function 挂机()
	开始挂机()
	使用物品("回城卷")
	等待(2000)
	return 回城()
end

--开始
do
	清空周知物品()
	添加周知物品("沃玛套装","幽灵项链|龙之戒指|幽灵手套|铂金戒指|心灵手镯|天珠项链|红宝石戒指|思贝儿手镯|生命项链")
	--挂机路线
	设置环状挂机路线()
	添加挂机路线点2("D024",22,21,5)
	添加挂机路线点2("D024",30,70,5)
	添加挂机路线点2("D024",83,88,5)
	添加挂机路线点2("D024",67,33,5)
	--开始
	local mapid=获取地图id()
	if mapid=="D024" then
		挂机()
	else
		回城()
	end
end
